at.chipkarte.client.elgaad.soap

## Class ValidierendePerson

- Object
- - at.chipkarte.client.elgaad.soap.ValidierendePerson

-     public class ValidierendePerson
      extends Object

  Daten zur Validierenden Person.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValidierendePerson()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Adresse` | `getAdressen()` Adresse.
    `Code` | `getFunktionscode()` Funktionscode.
    `Name` | `getName()` Name.
    `String[]` | `getTelecom()` Telefonnummern.
    `String` | `getZeitpunkt()` Zeitpunkt der Aktion.
    `void` | `setAdressen(Adresse adresse)`
    `void` | `setFunktionscode(Code funktionscode)`
    `void` | `setName(Name name)`
    `void` | `setTelecom(String[] telecoms)`
    `void` | `setZeitpunkt(String zeitpunkt)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ValidierendePerson

          public ValidierendePerson()

  - ### Method Detail

    - #### getZeitpunkt

          public String getZeitpunkt()

      Zeitpunkt der Aktion.
      Angabe: Muss.
      Format: 10 stellig im Format `TT.MM.JJJJ` oder 19 stellig im Format `TT.MM.JJJJ hh:mm:ss`
      Returns:
        Zeitpunkt

    - #### setZeitpunkt

          public void setZeitpunkt(String zeitpunkt)

    - #### getFunktionscode

          public Code getFunktionscode()

      Funktionscode. Siehe `Code`.
      Angabe: Muss.
      Returns:
        Funktionscode

    - #### setFunktionscode

          public void setFunktionscode(Code funktionscode)

    - #### getAdressen

          public Adresse getAdressen()

      Adresse. Siehe `Adresse`.
      Angabe: Kann.
      Returns:
        Adresse

    - #### setAdressen

          public void setAdressen(Adresse adresse)

    - #### getTelecom

          public String[] getTelecom()

      Telefonnummern.
      Angabe: Kann.
      Returns:
        Telecoms

    - #### setTelecom

          public void setTelecom(String[] telecoms)

    - #### getName

          public Name getName()

      Name. Siehe `Name`.
      Angabe: Muss.
      Returns:
        Name

    - #### setName

          public void setName(Name name)